# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_a8erwyq75d/clone/recipe, last modified Tue Nov  7 07:38:00 2023
# ------------------------------------------------

package:
  name: snowflake-ml-python
  version: 1.0.11
source:
  sha256: 6f8c2d55122eec0541b30d32c41bca59db3e36685828f83b98ec33a832a082f3
  url: https://github.com/snowflakedb/snowflake-ml-python/archive/refs/tags/1.0.11.tar.gz
build:
  number: '0'
  string: py38h80987f9_0
requirements:
  build:
    - bazel 6.2.0 h313beb8_0
    - bzip2 1.0.8 h620ffc9_4
    - c-ares 1.19.1 h80987f9_0
    - ca-certificates 2023.08.22 hca03da5_0
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - curl 8.4.0 h02f6b3c_0
    - expat 2.5.0 h313beb8_0
    - gdbm 1.18 h8fe7016_4
    - gettext 0.21.0 h13f89a0_1
    - git 2.40.1 pl5340h6cf2078_1
    - icu 73.1 h313beb8_0
    - krb5 1.20.1 hf3e1bf2_1
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcurl 8.4.0 h3e2b118_0
    - libcxx 14.0.6 h848a8c0_0
    - libedit 3.1.20221030 h80987f9_0
    - libev 4.33 h1a28f6b_1
    - libffi 3.4.4 hca03da5_0
    - libiconv 1.16 h1a28f6b_2
    - libllvm14 14.0.6 h7ec7a93_3
    - libnghttp2 1.57.0 h62f6fdd_0
    - libssh2 1.10.0 h02f6b3c_2
    - libxml2 2.10.4 h0dcf63f_1
    - llvm-openmp 14.0.6 hc6e5704_0
    - llvm-tools 14.0.6 hfd8c8a6_3
    - ncurses 6.4 h313beb8_0
    - openjdk 11.0.13 h98b2900_0
    - openssl 3.0.12 h1a28f6b_0
    - pcre2 10.42 hb066dcc_0
    - perl 5.34.0 h1a28f6b_2
    - readline 8.2 h1a28f6b_0
    - tapi 1100.0.11 h8754e6a_1
    - tk 8.6.12 hb8d0fd4_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  host:
    - ca-certificates 2023.08.22 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.12 h1a28f6b_0
    - pip 23.3 py38hca03da5_0
    - python 3.8.18 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.0.0 py38hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - wheel 0.41.2 py38hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - absl-py >=0.15,<2
    - anyio >=3.5.0,<4
    - cachetools >=3.1.1,<5
    - cloudpickle >=2.0.0
    - fsspec >=2022.11,<2024
    - numpy >=1.23,<2
    - packaging >=20.9,<24
    - pandas >=1.0.0,<2
    - python >=3.8,<3.9.0a0
    - pytimeparse>=1.1.8,<2
    - pyyaml >=6.0,<7
    - requests
    - s3fs >=2022.11,<2024
    - scikit-learn >=1.2.1,<1.4
    - scipy >=1.9,<2
    - snowflake-connector-python >=3.0.4,<4
    - snowflake-snowpark-python >=1.5.1,<2
    - sqlparse >=0.4,<1
    - typing-extensions >=4.1.0,<5
    - xgboost >=1.7.3,<2
  run_constrained:
    - lightgbm ==3.3.5
    - mlflow >=2.1.0,<2.4
    - sentencepiece >=0.1.95,<0.2
    - shap ==0.42.1
    - tensorflow >=2.9,<3,!=2.12.0
    - tokenizers>=0.10,<1
    - torchdata >=0.4,<1
    - transformers >=4.29.2,<5
test:
  commands:
    - pip check
  imports:
    - snowflake.ml
    - snowflake.ml.fileset
    - snowflake.ml.model
    - snowflake.ml.modeling
    - snowflake.ml.registry
    - snowflake.ml.utils
  requires:
    - pip
about:
  description: 'The machine learning client library that is used for interacting with
    Snowflake

    to build machine learning solutions. Functionalities include model uploading,

    training, feature engineering, etc.

    '
  dev_url: https://github.com/snowflakedb/snowflake-ml-python
  doc_url: https://docs.snowflake.com/developer-guide/snowpark-ml/index
  home: https://github.com/snowflakedb/snowflake-ml-python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Snowflake machine learning library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: a8e0c8d3-0627-48b1-98a0-05638f98be83
  recipe-maintainers:
    - sumit0190
  remote_url: git@github.com:AnacondaRecipes/snowflake-ml-python-feedstock.git
  sha: 476c99609681c60cd43df125b0493605ebd1415a
